ubuntu14.04安装python3.6和pip9.0.1

2018/04/07 10:11
阅读数 327
前提:
ubuntu14.04自带python2.7和python3.4,如下:
要想安装python3.6,建议不要动之前的2.7和3.6(血一般的教训)
下面我们切入正题:
安装python3.6
简介:ubuntu下要先安装zlib的库,才能在安装python3.6.3,不然无法安装
一、zlib的安装:
1.首先用命令dpkg -l|grep zlib查看安装的zlib版本,然后不符合要求
2.当报zlib不可用时,就是没有安装zlib1g和zlib1g-dev包,而这个两个包在源镜像中不存在
3.所以需要自己去官网下载,下载地址:
zlib1g:下载地址:https://packages.ubuntu.com/artful/amd64/zlib1g/download
zlib1g-dev下载地址:https://packages.ubuntu.com/artful/amd64/zlib1g-dev/download
选择欧洲链接下载
4.然后上传到ubuntu服务器,是.deb后缀的文件,需要用到命令dpkg安装
5.然后使用以下命令安装zlib1g,后面是下载的zlib1g安装文件:
1 sudo dpkg -i zlib1g_1.2.11.dfsg-0ubuntu2_amd64.deb
6.然后使用以下命令安装zlib1g-dev,后面是下载的zlib1g-dev安装文件:
1 sudo dpkg -i zlib1g-dev_1.2.11.dfsg-0ubuntu2_amd64.deb
7.可以使用dpkg -l|grep zlib来查看是否成功安装
二、python3.6.3的安装:
1.下载python3.6.3,下载地址:https://www.python.org/downloads/release/python-363/
下载下来的文件名:Python-3.6.3.tgz
2.编译源码安装python3.6.3,上传文件到/opt/setups/下,然后解压缩:
1 sudo tar zxvf Python-3.6.3.tgz
3.然后进入到解压缩生成的目录
1 cd Python-3.6.3
4.然后把python安装到文件夹/usr/local/python3下
1 sudo ./configure --prefix=/usr/local/python3
5.然后执行make命令:
1 sudo make
6.然后执行make install 命令安装:
sudo make install
7.安装成功之后,执行python会发现是系统自带的2.7,python3命令不存在
8.因为没有加入到可执行路径,执行以下命令将增加python3命令:
1 ln -s /usr/local/python3/bin/python3 /usr/bin/python3
执行python3,发现是3.6.3

安装pip
1.下载pip9.0.1,下载地址:https://pypi.python.org/pypi/pip

下载下来的文件名:pip-9.0.1.tar.gz

2.然后上传到/ope/setups/目录下,执行命令解压缩:
1 sudo tar zxvf pip-9.0.1.tar.gz
3.然后进入到解压缩的目录pip-9.0.1
1 cd pip-9.0.1
4.然后执行安装命令:
1 /usr/bin/python3 setup.py install
5.安装成功,则ok,安装失败若果提示缺少setuptools模块,则需要执行以下脚本安装setuptools模块:
1 wget https://bootstrap.pypa.io/ez_setup.py -O - | sudo /usr/bin/python3
然后再次执行:
1 /usr/bin/python3 setup.py install
6.安装成功之后,会有信息显示,pip已经安装到文件夹/usr/local/python3/bin/pip下
7.然后命令行中执行pip或pip3发现失败,没有这个命令,因为没有加入到命令里,需要创建软链接,执行:
1 sudo ln -s /usr/local/python3/bin/pip /usr/bin/pip
如果提示/usr/bin/pip已存在,则执行命令:
1 rm /usr/bin/pip
删除然后再次执行:
1 sudo ln -s /usr/local/python3/bin/pip /usr/bin/pip
8.然后执行命令查看是否是在python3中:
1 sudo pip --version
9.若ok说明已安装成功,此时执行以下命令安装requests模块试试:
pip install requests
如果报错说lsb_release -a错误,则按以下中,四、pip安装install的时候报错'lsb_release -a'
安装遇到问题
pip安装install的时候报错'lsb_release -a'问题处理
1.当执行sudo pip install requests时报以下错误:
2.处理方法是:
找到文件
/usr/bin/lsb_release
然后
1 sudo vim /usr/bin/lsb_release
然后发现第一行是:#!/usr/bin/python3 -Es
使用的是python3的,刚好我们安装时python3.6.3的软连接就是/usr/bin/python3
然而python3.6.3不支持lsb_release -a命令
所有就会报那个错误
但是系统自带的python3.5支持这个命令
所以把这个解释器换成3.5所在的执行路径,查看ll /usr/bin/python3.5是有的
所以把文件/usr/bin/lsb_release的第一行换成:#!/usr/bin/python3.5 -Es
然后在执行命令:
sudo pip install requests 就可以了
pip install库的时候的提示Can
't connect to HTTPS URL because the SSL module is not available 1、大概是因为安装过程需要SSL,但是没有找到 2、所以尝试再次安装。
1 sudo apt-get install openssl
2 sudo apt-get install libssl-dev
3、然后对python3.6重新编译安装
1 cd Python-3.6.2
2 sudo ./configure --with-ssl --prefix=/usr/local/python3 (安装的路径一定要和第一次一样)
3 sudo make
4 sudo make install
4、尝试pip install requests,成功!!!
折腾了一天。。。

部分转自:https://zhuanlan.zhihu.com/p/32131337utm_source=wechat_session&utm_medium=social

 

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部